param(
    # Path to an bwroot folder.
    [Parameter(Mandatory=$True)]
    [ValidateScript({Test-Path $_ -PathType 'Container'})] 
    [string]$Path_to_BWRoot ) 
  
If(Test-Path -Path $Path_to_BWRoot\Image -PathType 'Container') {  
    Write-Host "Creating month and day folders to $Path_to_BWRoot\Image\" 
    2017..2050 | ForEach-Object {
        $year = "{0:D2}" -f $_
        1..12 | ForEach-Object {
            $month = "{0:D2}" -f $_
            1..[DateTime]::DaysInMonth($year,$month) | ForEach-Object { 
                $day = "{0:D2}" -f $_
                New-Item -ItemType directory -Force -Path "$Path_to_BWRoot\Image\${year}\$month\${day}" | Out-Null
        }}}

} Else { Write-Host "$Path_to_BWRoot\Image folder not found." }

If(Test-Path -Path $Path_to_BWRoot\Attach -PathType 'Container') {  
    Write-Host "Creating month and day folders to $Path_to_BWRoot\Attach\" 
    2017..2050 | ForEach-Object {
        $year = "{0:D2}" -f $_
        1..12 | ForEach-Object {
            $month = "{0:D2}" -f $_
            1..[DateTime]::DaysInMonth($year,$month) | ForEach-Object { 
                $day = "{0:D2}" -f $_
                New-Item -ItemType directory -Force -Path "$Path_to_BWRoot\Attach\${year}\$month\${day}" | Out-Null
    }}}

} Else { Write-Host "$Path_to_BWRoot\Attach folder not found." }

If(Test-Path -Path $Path_to_BWRoot\PM\PMDocs -PathType 'Container') {  
    Write-Host "Creating month folders to $Path_to_BWRoot\PM\PMDocs\" 
    2017..2050 | ForEach-Object {
        $year = "{0:D2}" -f $_
        1..12 | ForEach-Object {
            $month = "{0:D2}" -f $_
            New-Item -ItemType directory -Force -Path "$Path_to_BWRoot\PM\PMDocs\${year}\$month\" | Out-Null
    }}

} Else { Write-Host "$Path_to_BWRoot\PM\PMDocs folder not found." }